Package ch.qos.logback.access.html

# Class UrlCssBuilder

java.lang.Object
ch.qos.logback.access.html.UrlCssBuilder

All Implemented Interfaces:
  `CssBuilder`

public class UrlCssBuilder extends Object implements CssBuilder
This class helps the HTMLLayout build the CSS link. It either provides the HTMLLayout with a default css file, or builds the link to an external, user-specified, file.

Author:
  Sébastien Pennec

## Constructor Summary

Constructors
Constructor
Description
`UrlCssBuilder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCss(StringBuilder sbuf)`
`String`
`getUrl()`
`void`
`setUrl(String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UrlCssBuilder

public UrlCssBuilder()

## Method Details

### getUrl

public String getUrl()

### setUrl

public void setUrl(String url)

### addCss

public void addCss(StringBuilder sbuf)

Specified by:
  `addCss` in interface `CssBuilder`